
Distribution EOLE - Tâche #10903

Scénario # 10788 (Terminé (Sprint)): Qualification de la migration de la version 2.3 vers 2.4

Pb de migration eCDL, perte de la résolution DNS après upgrade

03/12/2015 03:16 PM - Emmanuel IHRY

Status: Reporté Start date: 02/16/2015

Priority: Normal Due date:  

Assigned To: Michel BALLY % Done: 0%

Target version: sprint 2015 14-16 - Equipe PNE-SR Estimated time: 2.00 hours

  Spent time: 0.00 hour

Description

Migration d'un serveur eCDL 2.3.15

Après Upgrade-Auto, reboot du serveur.

--> pas de résolution DSN activée

--> du coup Query-Auto -C -i -S test-eoleng.ac-dijon.fr -U test-eoleng.ac-dijon.fr ne fonctionne pas

Related issues:

Related to conf-ecdl - Tâche #10932: cache dns Fermé 03/09/2015

Copied to Distribution EOLE - Tâche #11264: Pb de migration eCDL, perte de la... Reporté 02/16/2015

History

#1 - 03/12/2015 03:24 PM - Emmanuel IHRY

Contenu du fichier /etc/network/interfaces

1. fichier container bridge

auto lo

iface lo inet loopback ## ## ## ##

auto eth0

iface eth0 inet static

address 172.20.....

netmask 255.255.....

broadcast 172.20.....

network 172.20.....

gateway 172.20.....

post-up /sbin/restart-wrapper rsyslog

post-up sleep 1

post-up /etc/init.d/bastion restart

#2 - 03/12/2015 03:43 PM - Emmanuel IHRY

- Assigned To set to Benjamin Bohard

#3 - 03/13/2015 04:02 PM - Benjamin Bohard

Le dns est déclaré dans le fichier /etc/resolv.conf

Il faudrait commencer par regarder ce que contient ce fichier.
#4 - 03/17/2015 11:58 AM - Michel BALLY

- Estimated time set to 2.00 h

- Remaining (hours) set to 2.0

Il semble que le pb de résolution DNS vienne du fait que le cache dns soit activé mais que les forwarders ne soient pas renseignés.

le resolv.conf contient donc 127.0.0.1

le template /usr/share/eole/creole/distrib/resolv.conf.ecdl ne semble pas reporté en 2.4.1 et le dico /usr/share/eole/creole/dicos/30_ecdl.xml n'est pas

à jour

#5 - 03/17/2015 02:20 PM - Emmanuel IHRY

- Assigned To changed from Benjamin Bohard to Michel BALLY

Développement en cours https://dev-eole.ac-dijon.fr/issues/10933  https://dev-eole.ac-dijon.fr/issues/10932

--> demande à fermer une fois le problème résolu

#6 - 03/17/2015 02:20 PM - Emmanuel IHRY

- Status changed from Nouveau to En cours

#7 - 04/17/2015 08:18 AM - Thierry Bertrand

- Status changed from En cours to Nouveau

#8 - 04/17/2015 08:23 AM - Thierry Bertrand

- Status changed from Nouveau to Reporté

- Remaining (hours) changed from 2.0 to 0.0
